/* -- Styles pour les panels --------------------------------------------------------- */
.login-err {
    background-color: #f8e6e5;
    border: 1px solid #C93E38;
    border-radius: 5px;
    color: #AF3530;
    font-weight: bold;
    margin: 8px 0px 4px 0px;
    padding: 8px;
    text-align: center;
    overflow: auto;
}

.panel-heading-title {
    font-size: 13.8667px;
    font-family: Arial;
}

.panel-login {
    margin-left: auto;
    margin-right: auto;
    width: 320px;
}

.panel-login input {
    margin-left: 0;
    margin-right: 0;
}

.panel-padded-sm {
    padding: 4px;
}


/* -- Classes diverses et diverses surcharges ---------------------------------------- */
.bottom-shim {
    margin-bottom: 2px !important;
}

.top-shim-large {
    margin-top: 8px;
}

.panel {
    margin-bottom: 8px;
    background-color: #fff;
    border: 1px solid transparent;
    border-radius: 4px;
    -webkit-box-shadow: 0 1px 1px rgba(0,0,0,.05);
    box-shadow: 0 1px 1px rgba(0,0,0,.05);
}

.panel-default {
    border-color: #ddd;
}

.panel-heading {
    border-bottom: 1px solid transparent;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
    box-sizing: border-box;
    font-size: 90%;
    font-weight: bold;
    padding: 8px;
}

.panel-heading img {
    float: right;
}

.panel-default > .panel-heading {
    background-color: #F0F4F8;
    border-color: #c2d2e2;
    color: #00255F;
    text-shadow: 0 0 5px rgba(98,152,204,0.3);
}

.panel-body {
    padding: 8px;
    position: relative;
}

.panel-footer {
    border-color: #c2d2e2;
}

.panel-footer {
    background-color: #f5f5f5;
    border-top: 1px solid #ddd;
    border-bottom-right-radius: 3px;
    border-bottom-left-radius: 3px;
}

.reveal-pwd {
	background-color: white;
    border-left: 1px solid #ced4da !important;
    padding-left: 4px;
    position: absolute;
    top: 56px;
    right: 14px;
    width: 30px;
}

.btn {
    display: inline-block;
    padding: 6px 12px;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    border: 1px solid transparent;
    border-radius: 4px;
    text-shadow: 0 0 3px black;
}

.btn-sm, .btn-group-sm > .btn {
    padding: 5px 10px;
    font-size: 12px;
    line-height: 1.5;
    border-radius: 3px;
}

.btn-primary { /* PRIMARY */
    background-image: linear-gradient(#95BADD, #6298CC 20%, #5590C8);
    background-repeat: no-repeat;
    border: 1px solid #356EA4;
    color: white;
    filter: none;
    font-weight: bold;
}

.btn-primary:hover {
    background-image: linear-gradient(#95BADD, #5590C8 20%, #4887C4);
    background-repeat: no-repeat;
    border: 1px solid #316597;
    color: white;
    filter: none;
}

.btn-primary:hover, .btn-primary:focus, .btn-primary:active, .btn-primary.active, .btn-primary.active:focus, .open > .dropdown-toggle.btn-primary {
    background-color: #4887C4;
    border-color: #356EA4;
    color: #FFF;
}

.btn-primary.active:hover, .btn-primary:active:hover {
    background-image: none;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.25) inset;
}

.btn-danger { /* DANGER */
    background-image: linear-gradient(#D7726D, #C93E38 20%, #BD3933);
    background-repeat: no-repeat;
    border: 1px solid #872925;
    color: white;
    filter: none;
    font-weight: bold;
}

.btn-danger:hover {
    background-image: linear-gradient(#DD5145, #BD3933 20%, #AF3530);
    background-repeat: no-repeat;
    border: 1px solid #7A2521;
    color: white;
    filter: none;
}

.btn-danger:hover, .btn-danger:focus, .btn-danger:active, .btn-danger.active, .btn-danger.active:focus, .open > .dropdown-toggle.btn-danger {
    background-color: #AF3530;
    border-color: #872925;
    color: #FFF;
}

.btn-danger.active:hover, .btn-danger:active:hover {
    background-image: none;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.25) inset;
}
